Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class XmlTemplateOuput

    java.lang.Object
      org.jbehave.core.reporters.TemplateableOutput
          org.jbehave.core.reporters.XmlTemplateOutput
              org.jbehave.core.reporters.XmlTemplateOuput

All Implemented Interfaces:
  StoryReporter

Deprecated. Use `XmlTemplateOutput`

    public class XmlTemplateOuput

extends XmlTemplateOutput

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.TemplateableOutput
`TemplateableOutput.OutputKeywords, TemplateableOutput.OutputMeta, TemplateableOutput.OutputNarrative, TemplateableOutput.OutputParameter, TemplateableOutput.OutputRestart, TemplateableOutput.OutputScenario, TemplateableOutput.OutputStep, TemplateableOutput.OutputStory`

Constructor Summary
`XmlTemplateOuput(File file, Keywords keywords)` Deprecated.
`XmlTemplateOuput(File file, Keywords keywords, TemplateProcessor processor, String templatePath)` Deprecated.

Method Summary

Methods inherited from class org.jbehave.core.reporters.TemplateableOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, dryRun, example, failed, failedOutcomes, givenStories, givenStories, ignorable, narrative, notPerformed, pending, pendingMethods, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlTemplateOuput

    public XmlTemplateOuput(File file,
                            Keywords keywords)

  Deprecated.

### XmlTemplateOuput

    public XmlTemplateOuput(File file,
                            Keywords keywords,
                            TemplateProcessor processor,
                            String templatePath)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.